Create OpenAI-compatible custom model
Creates a custom model backed by any OpenAI-compatible endpoint. The handler probes the target API with the supplied credentials before persisting the model.
POST
/
v2
/
models
/
openai-like
cURL
curl --request POST \
--url https://api.orq.ai/v2/models/openai-like \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>",
"base_url": "<string>",
"display_name": "<string>",
"model_id": "<string>",
"model_type": "<string>",
"region": "<string>",
"cost_per_image": 123,
"description": "<string>",
"has_reasoning": true,
"input_cost": 123,
"max_tokens": 123,
"output_cost": 123,
"supports_image_edit": true,
"supports_strict_tool": true,
"supports_tool_calling": true,
"supports_vision": true,
"temperature": 123
}
'{
"configuration": {
"provider": "<string>",
"api_key_env": "<string>",
"api_version": "<string>",
"auth_mode": "<string>",
"auth_type": "<string>",
"base_url": "<string>",
"deployment_name": "<string>",
"endpoint": "<string>",
"inference_profile_arn": "<string>",
"integration_id": "<string>",
"is_openai_compatible": true,
"is_tuned_model": true,
"location": "<string>",
"project_id": "<string>",
"region": "<string>",
"should_use_beta_features": true,
"subtype": "<string>",
"workspace_id": "<string>"
},
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"display_name": "<string>",
"docs_url": "<string>",
"enabled": true,
"enabled_for_endpoints": true,
"enabled_for_playground": true,
"has_cpu_pricing": true,
"has_functions": true,
"id": "<string>",
"input_cost": 123,
"input_currency": "<string>",
"is_active": true,
"metadata": {
"is_private": true,
"allowed_passthrough_parameters": [
"<string>"
],
"autorouter": {
"economical_model": "<string>",
"id": "<string>",
"profile": "<string>",
"strong_model": "<string>",
"version": "<string>"
},
"cached_image_input_cost": 123,
"cached_input_cost": 123,
"chain_of_thought": true,
"context_length": 123,
"context_window": 123,
"cost_efficiency_rating": 123,
"cost_per_image": 123,
"deprecation_date": "<string>",
"embedding_dimensions": 123,
"extended_context_pricing_mode": "<string>",
"extended_context_threshold": 123,
"generate_audio": true,
"image_input_cost": 123,
"image_output_cost": 123,
"image_token_cost": 123,
"intelligence_rating": 123,
"is_realtime": true,
"knowledge_cutoff": "<string>",
"max_images_per_request": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"million_searches_cost": 123,
"million_tokens_above_128k_cache_read_cost": 123,
"million_tokens_above_128k_cache_write_cost": 123,
"million_tokens_above_128k_input_cost": 123,
"million_tokens_above_128k_output_cost": 123,
"million_tokens_above_200k_cache_read_cost": 123,
"million_tokens_above_200k_cache_write_cost": 123,
"million_tokens_above_200k_input_cost": 123,
"million_tokens_above_200k_output_cost": 123,
"million_tokens_audio_input_cost": 123,
"million_tokens_audio_output_cost": 123,
"million_tokens_batches_input_cost": 123,
"million_tokens_batches_output_cost": 123,
"million_tokens_cache_read_cost": 123,
"million_tokens_cache_write_1h_cost": 123,
"million_tokens_cache_write_5m_cost": 123,
"million_tokens_cache_write_cost": 123,
"million_tokens_input_cost": 123,
"million_tokens_output_cost": 123,
"million_tokens_reasoning_cost": 123,
"multilingual": true,
"offline": true,
"per_video_second_cost": 123,
"per_video_second_cost_1080p": 123,
"pricing": {
"cache_read": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_1h": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_5m": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"input": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"output": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"reasoning": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"variants": [
{
"when": "<string>",
"cache_read": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_1h": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_5m": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"input": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"output": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"reasoning": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
}
}
]
},
"reasoning_cost": 123,
"reasoning_tokens": 123,
"region": "<string>",
"speed_rating": 123,
"supported_video_aspect_ratios": [
"<string>"
],
"supported_video_durations": [
123
],
"supported_video_frame_images": [
"<string>"
],
"supported_video_resolutions": [
"<string>"
],
"supported_video_sizes": [
"<string>"
],
"supports_adaptive_reasoning": true,
"supports_audio_input": true,
"supports_audio_output": true,
"supports_b64_json_response_format": true,
"supports_batch_api": true,
"supports_cache_control": true,
"supports_code_execution": true,
"supports_commercial_use": true,
"supports_computer_use": true,
"supports_developer_message": true,
"supports_direct_cost": true,
"supports_distillation": true,
"supports_extended_thinking": true,
"supports_fine_tuning": true,
"supports_image_edit": true,
"supports_image_input": true,
"supports_image_output": true,
"supports_images": true,
"supports_json_mode_response_format": true,
"supports_json_schema_response_format": true,
"supports_max_completion_tokens": true,
"supports_openai_sdk": true,
"supports_parallel_tool_calls": true,
"supports_pdf_input": true,
"supports_prompt_caching": true,
"supports_reasoning": true,
"supports_reasoning_effort_default": true,
"supports_reasoning_effort_high": true,
"supports_reasoning_effort_low": true,
"supports_reasoning_effort_medium": true,
"supports_reasoning_effort_minimal": true,
"supports_reasoning_effort_none": true,
"supports_reasoning_effort_xhigh": true,
"supports_responses_api": true,
"supports_sampling_params": true,
"supports_streaming": true,
"supports_strict_tool": true,
"supports_structured_outputs": true,
"supports_system_message": true,
"supports_text": true,
"supports_text_input": true,
"supports_text_output": true,
"supports_tool_calling": true,
"supports_tool_choice": true,
"supports_url_context": true,
"supports_url_response_format": true,
"supports_video_input": true,
"supports_video_output": true,
"supports_video_seed": true,
"supports_vision": true,
"supports_web_search": true,
"supports_zdr": true,
"thinking_enforced": true
},
"model_id": "<string>",
"model_type": "<string>",
"output_cost": 123,
"output_currency": "<string>",
"owner": "<string>",
"parameters": [
{
"config": {},
"description": "<string>",
"id": "<string>",
"is_active": true,
"name": "<string>",
"parameter": "<string>",
"parameter_type": "<string>",
"hints": "<string>",
"position": 123
}
],
"pricing_url": "<string>",
"provider": "<string>",
"refId": "<string>",
"updated": "2023-11-07T05:31:56Z",
"model_developer": "<string>",
"model_family": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
128Response
OpenAI-like model created successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl --request POST \
--url https://api.orq.ai/v2/models/openai-like \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>",
"base_url": "<string>",
"display_name": "<string>",
"model_id": "<string>",
"model_type": "<string>",
"region": "<string>",
"cost_per_image": 123,
"description": "<string>",
"has_reasoning": true,
"input_cost": 123,
"max_tokens": 123,
"output_cost": 123,
"supports_image_edit": true,
"supports_strict_tool": true,
"supports_tool_calling": true,
"supports_vision": true,
"temperature": 123
}
'{
"configuration": {
"provider": "<string>",
"api_key_env": "<string>",
"api_version": "<string>",
"auth_mode": "<string>",
"auth_type": "<string>",
"base_url": "<string>",
"deployment_name": "<string>",
"endpoint": "<string>",
"inference_profile_arn": "<string>",
"integration_id": "<string>",
"is_openai_compatible": true,
"is_tuned_model": true,
"location": "<string>",
"project_id": "<string>",
"region": "<string>",
"should_use_beta_features": true,
"subtype": "<string>",
"workspace_id": "<string>"
},
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"display_name": "<string>",
"docs_url": "<string>",
"enabled": true,
"enabled_for_endpoints": true,
"enabled_for_playground": true,
"has_cpu_pricing": true,
"has_functions": true,
"id": "<string>",
"input_cost": 123,
"input_currency": "<string>",
"is_active": true,
"metadata": {
"is_private": true,
"allowed_passthrough_parameters": [
"<string>"
],
"autorouter": {
"economical_model": "<string>",
"id": "<string>",
"profile": "<string>",
"strong_model": "<string>",
"version": "<string>"
},
"cached_image_input_cost": 123,
"cached_input_cost": 123,
"chain_of_thought": true,
"context_length": 123,
"context_window": 123,
"cost_efficiency_rating": 123,
"cost_per_image": 123,
"deprecation_date": "<string>",
"embedding_dimensions": 123,
"extended_context_pricing_mode": "<string>",
"extended_context_threshold": 123,
"generate_audio": true,
"image_input_cost": 123,
"image_output_cost": 123,
"image_token_cost": 123,
"intelligence_rating": 123,
"is_realtime": true,
"knowledge_cutoff": "<string>",
"max_images_per_request": 123,
"max_input_tokens": 123,
"max_output_tokens": 123,
"million_searches_cost": 123,
"million_tokens_above_128k_cache_read_cost": 123,
"million_tokens_above_128k_cache_write_cost": 123,
"million_tokens_above_128k_input_cost": 123,
"million_tokens_above_128k_output_cost": 123,
"million_tokens_above_200k_cache_read_cost": 123,
"million_tokens_above_200k_cache_write_cost": 123,
"million_tokens_above_200k_input_cost": 123,
"million_tokens_above_200k_output_cost": 123,
"million_tokens_audio_input_cost": 123,
"million_tokens_audio_output_cost": 123,
"million_tokens_batches_input_cost": 123,
"million_tokens_batches_output_cost": 123,
"million_tokens_cache_read_cost": 123,
"million_tokens_cache_write_1h_cost": 123,
"million_tokens_cache_write_5m_cost": 123,
"million_tokens_cache_write_cost": 123,
"million_tokens_input_cost": 123,
"million_tokens_output_cost": 123,
"million_tokens_reasoning_cost": 123,
"multilingual": true,
"offline": true,
"per_video_second_cost": 123,
"per_video_second_cost_1080p": 123,
"pricing": {
"cache_read": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_1h": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_5m": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"input": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"output": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"reasoning": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"variants": [
{
"when": "<string>",
"cache_read": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_1h": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"cache_write_5m": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"input": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"output": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
},
"reasoning": {
"cost": 123,
"currency": "<string>",
"per": 123,
"unit": "<string>"
}
}
]
},
"reasoning_cost": 123,
"reasoning_tokens": 123,
"region": "<string>",
"speed_rating": 123,
"supported_video_aspect_ratios": [
"<string>"
],
"supported_video_durations": [
123
],
"supported_video_frame_images": [
"<string>"
],
"supported_video_resolutions": [
"<string>"
],
"supported_video_sizes": [
"<string>"
],
"supports_adaptive_reasoning": true,
"supports_audio_input": true,
"supports_audio_output": true,
"supports_b64_json_response_format": true,
"supports_batch_api": true,
"supports_cache_control": true,
"supports_code_execution": true,
"supports_commercial_use": true,
"supports_computer_use": true,
"supports_developer_message": true,
"supports_direct_cost": true,
"supports_distillation": true,
"supports_extended_thinking": true,
"supports_fine_tuning": true,
"supports_image_edit": true,
"supports_image_input": true,
"supports_image_output": true,
"supports_images": true,
"supports_json_mode_response_format": true,
"supports_json_schema_response_format": true,
"supports_max_completion_tokens": true,
"supports_openai_sdk": true,
"supports_parallel_tool_calls": true,
"supports_pdf_input": true,
"supports_prompt_caching": true,
"supports_reasoning": true,
"supports_reasoning_effort_default": true,
"supports_reasoning_effort_high": true,
"supports_reasoning_effort_low": true,
"supports_reasoning_effort_medium": true,
"supports_reasoning_effort_minimal": true,
"supports_reasoning_effort_none": true,
"supports_reasoning_effort_xhigh": true,
"supports_responses_api": true,
"supports_sampling_params": true,
"supports_streaming": true,
"supports_strict_tool": true,
"supports_structured_outputs": true,
"supports_system_message": true,
"supports_text": true,
"supports_text_input": true,
"supports_text_output": true,
"supports_tool_calling": true,
"supports_tool_choice": true,
"supports_url_context": true,
"supports_url_response_format": true,
"supports_video_input": true,
"supports_video_output": true,
"supports_video_seed": true,
"supports_vision": true,
"supports_web_search": true,
"supports_zdr": true,
"thinking_enforced": true
},
"model_id": "<string>",
"model_type": "<string>",
"output_cost": 123,
"output_currency": "<string>",
"owner": "<string>",
"parameters": [
{
"config": {},
"description": "<string>",
"id": "<string>",
"is_active": true,
"name": "<string>",
"parameter": "<string>",
"parameter_type": "<string>",
"hints": "<string>",
"position": 123
}
],
"pricing_url": "<string>",
"provider": "<string>",
"refId": "<string>",
"updated": "2023-11-07T05:31:56Z",
"model_developer": "<string>",
"model_family": "<string>"
}